Bug 692203 - Kernel missing Xen Dom0 backend drivers
Summary: Kernel missing Xen Dom0 backend drivers
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-30 17:06 UTC by W. Michael Petullo
Modified: 2011-09-26 14:17 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-26 14:17:27 UTC
Type: ---


Attachments (Terms of Use)

Description W. Michael Petullo 2011-03-30 17:06:20 UTC
The Xen team has recently merged a lot of Xen Dom0-related code into Linus' kernel tree. Two significant components that are still missing are the network and block backend drivers. Third-party kernels that have been patched to provide this functionality and may be found on the Fedora Xen mailing list. As the difference between the Linus and Xen trees descreases, it may make sense to patch the Fedora kernel to accelerate the adoption of these features. Otherwise, this bug may serve as a tracker as Linus accepts features into his tree.

See also https://fedoraproject.org/wiki/Features/XenPvopsDom0.

Comment 1 W. Michael Petullo 2011-06-02 04:17:25 UTC
The network backend driver is in 2.6.39.

Comment 2 Konrad Rzeszutek Wilk 2011-08-29 20:55:38 UTC
And blkback went in 3.0. The pciback went in 3.1

Comment 3 Josh Boyer 2011-09-26 14:17:27 UTC
That feature is accepted for F16.  I believe the drivers requested are already enabled there.  I'm going to move this bug to F16 and close it as things should be set.  If they aren't, please re-open.


Note You need to log in before you can comment on or make changes to this bug.